<?php
include_once('php/php_headers.php');
$scripts  = '<script src="js/formfunctions.js" type="text/javascript"></script>';
if((isset($_GET['step']) && $_GET['step']==1) || isset($_GET['edit'])){
	$scripts .= '<script src="js/limitTextarea2.js" type="text/javascript"></script>';
	$scripts .= '<script src="js/counter_funcs.js" type="text/javascript"></script>';
    $scripts .= '<script src="js/datetimepicker_css.js"></script>';
}
$scripts .= '<script>function deletechecked(){var answer = confirm("Θέλετε να συνεχίσετε την αποστολή;");if (answer) document.messages.submit(); return false;}</script>';

html_header('Εισαγωγή μηνύματος',$scripts);
session_null('insert_messages');
$date=$no_date=$message=$no_message=$no_group=$msg=$ring_yes=$light_yes=$notify_no='';
$ring_no=$light_no=$notify_yes='checked';
if($_SESSION['ekdhlos_level']==0) $groups_r = get_groups_by_user("admin");
else $groups_r = get_groups_by_user();
if($_SESSION['ekdhlos_level']==0) $devices_r = get('all','device','','','all');
else $devices_r = get('send_message','device','','','all');
/* Αποστολή μηνυμάτων σε συσκευές */
if(isset($_GET['choice']) && $_GET['choice']=='devices'){
	if($devices_r){
		$step=clean($_GET['step']);
		if($step==1){
			$maxlength = max_length();
			$maxlength = intval($maxlength)-16;
			if(isset($_POST['continue'])){
				$insert1=false;
				$m = nl2br($_POST['message'], TRUE);
				$message = str_replace('<br />', '', $m);
				
				if(isset($_POST['date_activate']) && !empty($_POST['date_activate'])){
					if(check_date($_POST['date_activate'])==1){$insert2 = 1;$no_message = '';}
					else{$insert2 = 0;$no_date = '<h3 class="triangle-border left more_top">Λανθασμένη ημερομηνία!</h3>';}
					$date = clean($_POST['date_activate']);
				}
				else {$insert2 = 2;	$date = null;}
				
				
				if($_POST['notify'] == "yes") {$notify_yes = "checked"; $notify_no = "";}
				else if($_POST['notify'] == "no") {$notify_yes = ""; $notify_no = "checked";}			
				if($_POST['ring'] == "yes") {$ring_yes = "checked"; $ring_no = "";}
				else if($_POST['ring'] == "no") {$ring_yes = ""; $ring_no = "checked";}			
				if($_POST['light'] == "yes") {$light_yes = "checked"; $light_no = "";}
				else if($_POST['light'] == "no") {$light_yes = ""; $light_no = "checked";}				
				if(!isset($_POST['message']) || empty($_POST['message'])) $no_message = '<h3 class="triangle-border left">Το μήνυμα απαιτείται!</h3>';
				// else if (preg_match("/[^A-Za-z0-9\/\'\(\)\=\<\>\+\-\_\,\!\?\;\:\.\!\' ']/", $message))$no_message = '<h3 class="triangle-border left">Μη αποδεκτοί χαρακτήρες!</h3>';
				else if ((invalid_char($_POST['message'],'message') <> null)){$no_message = invalid_char($_POST['message'],'message');}
				else if(mb_strlen($_POST['message'], 'UTF-8') >= $maxlength) $no_message = '<h3 class="triangle-border left more_top">Εισάγετε μέχρι '.$maxlength.' χαρακτήρες!</h3>';
				else $insert1 = true;
				if($insert1 && $insert2<>0){
					$_SESSION['message']=$message;
					$_SESSION['light']=$_POST['light'];
					$_SESSION['ring']=$_POST['ring'];
					$_SESSION['notify']=$_POST['notify'];
					$_SESSION['date']=$date;
					echo "<script>setTimeout('window.location.href=\"insert_messages.php?choice=devices&step=2\"', 0000)</script>";
				}
			}
			echo '<br />
	<br />
			<ul id="tabs">
				<li><span>Στείλτε μήνυμα σε</span></li>
				<li id="current"><span>Εισαγωγή νέου μηνύματος</span></li>
				<li><span>Επιλογή συσκευών</span></li>
			</ul>
			<div id="content">';
				$form = '
				<form method="post" name="form" action="insert_messages.php?choice=devices&amp;step=1" accept-charset="utf-8" class="more_left_8 width">
				<input type="hidden" value="'.$maxlength.'" id="max_length" />	
				<h4>Μπορείτε να εισάγετε ακόμα: <span id="text_counter">'.(intval($maxlength)-16).'</span> χαρακτήρες</h4>
				<textarea name="message" id="message" class="area" maxlength="'.$maxlength.'" required>'.$message.'</textarea>
				<span id="m_validate" class="more_left_m">'.$no_message.'</span>
<ol class="hh2">
<li>
<h3>
Επιτρέπονται μόνο λατινικοί χαρακτήρες, αριθμοί και τα σύμβολα: 
&nbsp;\&nbsp;&nbsp;/&nbsp;&nbsp;\'&nbsp;&nbsp;(&nbsp;&nbsp;)&nbsp;&nbsp;=&nbsp;&nbsp;<&nbsp;&nbsp;>&nbsp;&nbsp;+&nbsp;&nbsp;-&nbsp;&nbsp;_&nbsp;&nbsp;,&nbsp;&nbsp;!&nbsp;&nbsp;?&nbsp;&nbsp;;&nbsp;&nbsp;:&nbsp;&nbsp;.&nbsp;&nbsp;!
</h3>
</li>
</ol>
<ol class="hh2">
<li>
	<label for="date">Ενεργοποίηση: </label>
</li>
<li>
<img style="cursor:help" src="images/Question.png" alt="help" title="Επίλεξτε το πότε θέλετε να ενεργοποίησετε το μήνυμα. 
Το πεδίο δεν είναι υποχρεωτικό.">
<img alt="calendar" title="Κάντε κλικ για να εισάγετε ημερομηνία ενεργοποίησης του μηνύματος" src="images/Calendar.png" onclick="javascript:NewCssCal (\'date\',\'yyyyMMdd\',\'arrow\',true,\'24\',true)" style="cursor:pointer"/>
<img alt="delete" title="Κάντε κλικ για να διαγράψετε την ημερομηνία ενεργοποίησης του μηνύματος" src="images/Cancel.png" onclick="clearText();" style="cursor:pointer"/>&nbsp;

<input type="text" readonly="readonly" onchange="check_date();" id="date" class="field4" name="date_activate" value="'.$date.'"/>
</li>
<li>
	<span id="date_validate">'.$no_date.'</span>
</li>
</ol>
	
				<table>
					<tr>
						<td><h2>Ειδοποίηση όταν διαβαστεί:&nbsp;</h2></td>
						<td>
						<h5>
							<input type="radio" name="notify" value="yes" '.$notify_yes.'/>&nbsp;Ναι&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="radio" name="notify" value="no" '.$notify_no.'/>&nbsp;Όχι
						</h5>
						</td>
						<td></td>
					</tr>
					<tr>
						<td><h2>Ηχητική ειδοποίηση:&nbsp;</h2></td>
						<td>
						<h5>
							<input type="radio" name="ring" value="yes" '.$ring_yes.'/>&nbsp;Ναι&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="radio" name="ring" value="no" '.$ring_no.'/>&nbsp;Όχι
						</h5>
						</td>
						<td></td>
					</tr>
					<tr>
						<td><h2>Φωτεινή ειδοποίηση:&nbsp;</h2></td>
						<td>
						<h5>
							<input type="radio" name="light" value="yes" '.$light_yes.'/>&nbsp;Ναι&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="radio" name="light" value="no" '.$light_no.'/>&nbsp;Όχι
						</h5>
						</td>
						<td></td>
					</tr>
					<tr>
					<td></td>
						<td> 
							<input type="submit" name="continue" onclick="message();" id="submit" class="disable" disabled="disabled" value="Συνέχεια">
						</td>
						<td></td>
					</tr>
				</table>
			</form>
			</div>
			'.$msg;
			echo $form;
		}			
		else if($step==2){
		echo'
	<br />
		<br />
			<ul id="tabs">
				<li><span>Στείλτε μήνυμα σε</span></li>
				<li><span>Εισαγωγή νέου μηνύματος</span></li>
				<li id="current"><span>Επιλογή συσκευών</span></li>
			</ul>
			<div id="content">';
			if(isset($_SESSION['message']) && !empty($_SESSION['message'])){
				// $_SESSION['light']=$_POST['light'];
				// $_SESSION['ring']=$_POST['ring'];
				// $_SESSION['notify']=$_POST['notify'];
				echo '
				<form method="post" accept-charset="utf-8" class="more_left_9">
				<table id="gradient-style">
					<thead>
					<tr>
						<th scope="col" class="width_td">Όνομα συσκευής</th>
						<th scope="col">Επιλογή</th>
					</tr>
					</thead>
					<tbody>';
					$i=0;
					foreach($devices_r as $row){
						$name="id".$i;
						echo'
						<tr>
							<td>';							
							if($row['status']=="no") echo "<img alt=\"Ανενεργή\" src=\"images/exclamation-red.png\" title=\"Η συσκευή έχει τεθεί ως ανενεργή!\" />";
							echo $row['id'].'</td>
							<td><input type="checkbox" name="'.$name.'" value="'.$row['id'].'"/></td>
						</tr>';
						$i++;
					}
				echo '
					<tbody>
				</table><br />
				<input type="submit" name="submit" class="button" value="Αποστολή">
				</form>';
				if(isset($_POST['submit'])){
					$i=$count=0;
					$arr=array();
					foreach($devices_r as $row){
						$name="id".$i;
						if (isset($_POST[$name]) && $_POST[$name]==$row['id']){
							$arr[$count]=$row['id'];
							$count++;
						}
						$i++;
					}
					if($count==0){
						echo '<br /><div id="msg_error" class="more_left_2">Πρέπει να επιλέξετε συσκευές!</div>';
					}
					else if($count>0){
						if(insert('message_by_devices',$_SESSION['message'],$_SESSION['notify'],$_SESSION['ring'],$_SESSION['light'],$arr,$_SESSION['date'])){ 
							echo '<br /><div id="msg_ok" class="more_left_2">Η αποστολή έγινε με επιτυχία!</div>'; 
							unset($_SESSION['message']);
							unset($_SESSION['ring']);
							unset($_SESSION['light']);
							unset($_SESSION['date']);
							echo "<script>setTimeout('window.location.href=\"insert_messages.php\"', 3000)</script>";
						}
						else echo '<div id="msg_error" class="more_left_2">Σφάλμα κατά την αποστολή!</div>';
					}
				}
				echo "</div>";
			}
			else{
				echo '<br /><div id="msg_error" class="more_left_2">Πρώτα πρέπει να εισάγετε μήνυμα!</div>';
				echo "<script>setTimeout('window.location.href=\"insert_messages.php?choice=devices&step=1\"', 3000)</script>";
			}
		}
		else echo "<script>setTimeout('window.location.href=\"insert_messages.php?choice=devices&step=1\"', 0000)</script>";
	}
	else{
		echo '
		<br />
		<br />
			<ul id="tabs">
				<li><span>Στείλτε μήνυμα σε</span></li>
				<li id="current"><span>Εισαγωγή νέου μηνύματος</span></li>
				<li><span>Επιλογή συσκευών ή ομάδων</span></li>
			</ul>
			<div id="content"><br /><div id="msg_error" class="more_left_2">Πρώτα πρέπει να εισάγετε συσκευές!</div><br /><br /></div>';
		echo "<script>setTimeout('window.location.href=\"insert_messages.php\"', 3000)</script>"; 
	}
}
/* Αποστολή μηνυμάτων σε ομάδα */
else if(isset($_GET['choice']) && $_GET['choice']=='groups'){
	if($groups_r){
		$get_form_or_not = 0;
		if($_SESSION['ekdhlos_level']==1){
			foreach($groups_r as $group){
				if(get('devices','groups','id',$group,'one')<>null){
					$get_form_or_not++;
				}
			}
		}
		else{
			foreach($groups_r as $group){
				if(get('devices','groups','id',$group['id'],'one')<>null){
					$get_form_or_not++;
				}
			}		
		}
		if($get_form_or_not>0){
			$step=clean($_GET['step']);
			if($step==1){
				if(isset($_POST['continue'])){
					$insert1=false;
					$m = nl2br($_POST['message'], TRUE);
					$message = str_replace('<br />', '', $m);
					if(isset($_POST['date_activate']) && !empty($_POST['date_activate'])){
						if(check_date($_POST['date_activate'])==1){
							$insert2 = 1;
							$no_message = '';
						}
						else{
							$insert2 = 0;
							$no_date = '<h3 class="triangle-border left more_top">Λανθασμένη ημερομηνία!</h3>';			
						}
						$date = clean($_POST['date_activate']);
					}
					else {
						$insert2 = 2;
						$date = null;
					}
					if($_POST['notify'] == "yes") {$notify_yes = "checked"; $notify_no = "";}
					else if($_POST['notify'] == "no") {$notify_yes = ""; $notify_no = "checked";}			
					if($_POST['ring'] == "yes") {$ring_yes = "checked"; $ring_no = "";}
					else if($_POST['ring'] == "no") {$ring_yes = ""; $ring_no = "checked";}			
					if($_POST['light'] == "yes") {$light_yes = "checked"; $light_no = "";}
					else if($_POST['light'] == "no") {$light_yes = ""; $light_no = "checked";}				
					if(!isset($_POST['message']) || empty($_POST['message'])) $no_message = '<h3 class="triangle-border left">Το μήνυμα απαιτείται!</h3>';
					else if ((invalid_char($_POST['message'],'message') <> null)){$no_message = invalid_char($_POST['message'],'message');}
					else $insert1 = true;
					if($insert1 && $insert2<>0){
						$_SESSION['message']=$message;
						$_SESSION['light']=$_POST['light'];
						$_SESSION['ring']=$_POST['ring'];
						$_SESSION['notify']=$_POST['notify'];
						$_SESSION['date']=$date;
						echo "<script>setTimeout('window.location.href=\"insert_messages.php?choice=groups&step=2\"', 0000)</script>";
					}
				}
		echo'
		<br />
		<br />
			<ul id="tabs">
				<li><span>Στείλτε μήνυμα σε</span></li>
				<li id="current"><span>Εισαγωγή νέου μηνύματος</span></li>
				<li><span>Επιλογή ομάδων</span></li>
			</ul>
			<div id="content">';
				$maxlength = max_length();
				$form = '
				<form method="post" name="form" action="insert_messages.php?choice=groups&amp;step=1" accept-charset="utf-8" class="more_left_8 width">
				<input type="hidden" value="'.$maxlength.'" id="max_length" />	
				<h4>Μπορείτε να εισάγετε ακόμα: <span id="text_counter">'.(intval($maxlength)-16).'</span> χαρακτήρες</h4>
				<textarea name="message" id="message" class="area" maxlength="'.$maxlength.'" required>'.$message.'</textarea>
				<span id="m_validate" class="more_left_m">'.$no_message.'</span>
<ol class="hh2">
<li>
<h3>
Επιτρέπονται μόνο λατινικοί χαρακτήρες, αριθμοί και τα σύμβολα: 
&nbsp;\&nbsp;&nbsp;/&nbsp;&nbsp;\'&nbsp;&nbsp;(&nbsp;&nbsp;)&nbsp;&nbsp;=&nbsp;&nbsp;<&nbsp;&nbsp;>&nbsp;&nbsp;+&nbsp;&nbsp;-&nbsp;&nbsp;_&nbsp;&nbsp;,&nbsp;&nbsp;!&nbsp;&nbsp;?&nbsp;&nbsp;;&nbsp;&nbsp;:&nbsp;&nbsp;.&nbsp;&nbsp;!
</h3>
</li>
</ol>
<ol class="hh2">
<li>
	<label for="date">Ενεργοποίηση: </label>
</li>
<li>
<img style="cursor:help" src="images/Question.png" alt="help" title="Επίλεξτε το πότε θέλετε να ενεργοποίησετε το μήνυμα. 
Το πεδίο δεν είναι υποχρεωτικό.">
<img alt="calendar" title="Κάντε κλικ για να εισάγετε ημερομηνία ενεργοποίησης του μηνύματος" src="images/Calendar.png" onclick="javascript:NewCssCal (\'date\',\'yyyyMMdd\',\'arrow\',true,\'24\',true)" style="cursor:pointer"/>
<img alt="delete" title="Κάντε κλικ για να διαγράψετε την ημερομηνία ενεργοποίησης του μηνύματος" src="images/Cancel.png" onclick="clearText();" style="cursor:pointer"/>&nbsp;

<input type="text" readonly="readonly" onchange="check_date();" id="date" class="field4" name="date_activate" value="'.$date.'"/>
</li>
<li>
	<span id="date_validate">'.$no_date.'</span>
</li>
</ol>
	
				<table>
					<tr>
						<td><h2>Ειδοποίηση όταν διαβαστεί:&nbsp;</h2></td>
						<td>
						<h5>
							<input type="radio" name="notify" value="yes" '.$notify_yes.'/>&nbsp;Ναι&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="radio" name="notify" value="no" '.$notify_no.'/>&nbsp;Όχι
						</h5>
						</td>
						<td></td>
					</tr>
					<tr>
						<td><h2>Ηχητική ειδοποίηση:&nbsp;</h2></td>
						<td>
						<h5>
							<input type="radio" name="ring" value="yes" '.$ring_yes.'/>&nbsp;Ναι&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="radio" name="ring" value="no" '.$ring_no.'/>&nbsp;Όχι
						</h5>
						</td>
						<td></td>
					</tr>
					<tr>
						<td><h2>Φωτεινή ειδοποίηση:&nbsp;</h2></td>
						<td>
						<h5>
							<input type="radio" name="light" value="yes" '.$light_yes.'/>&nbsp;Ναι&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="radio" name="light" value="no" '.$light_no.'/>&nbsp;Όχι
						</h5>
						</td>
						<td></td>
					</tr>
					<tr>
					<td></td>
						<td> 
							<input type="submit" name="continue" onclick="message();" id="submit" class="disable" disabled="disabled" value="Συνέχεια">
						</td>
						<td></td>
					</tr>
				</table>
			</form>
			</div>
			'.$msg;
			echo $form;
			}			
			else if($step==2){
		echo'
		<br />
		<br />
			<ul id="tabs">
				<li><span>Στείλτε μήνυμα σε</span></li>
				<li><span>Εισαγωγή νέου μηνύματος</span></li>
				<li id="current"><span>Επιλογή ομάδων</span></li>
			</ul>
			<div id="content">';
				if(isset($_SESSION['message']) && !empty($_SESSION['message'])){
					// $_SESSION['light']=$_POST['light'];
					// $_SESSION['ring']=$_POST['ring'];
					// $_SESSION['notify']=$_POST['notify'];
					echo '
					<form method="post" accept-charset="utf-8" class="more_left_9">
					<table id="gradient-style">
						<thead>
						<tr>
							<th scope="col" class="width_td">Όνομα ομάδας</th>
							<th scope="col">Επιλογή</th>
						</tr>
						</thead>
						<tbody>';
						$i=0;
						if($_SESSION['ekdhlos_level']==0){
							foreach($groups_r as $row){
								$name="id".$i;
								if(get('','device','',$row,'all')<>null){
									echo '
									<tr>
										<td>';							
							if(get('status','groups','id',$row,'one')=="no") echo "<img alt=\"Ανενεργή\" src=\"images/exclamation-red.png\" title=\"Η ομάδα έχει τεθεί ως ανενεργή!\" />";
							echo get('g_name','groups','id',$row,'one').'</td>
										<td><input type="checkbox" name="'.$name.'" value="'.$row.'"/></td>
									</tr>';
								}
								$i++;
							}						
						}
						else{
							foreach($groups_r as $row){
								$name="id".$i;
								if(get('','device','',$row,'all')<>null){
									echo'
									<tr>
										<td>';							
							if(get('status','groups','id',$row,'one')=="no") echo "<img alt=\"Ανενεργή\" src=\"images/exclamation-red.png\" title=\"Η ομάδα έχει τεθεί ως ανενεργή!\" />";
							echo get('g_name','groups','id',$row,'one').'</td>
										<td><input type="checkbox" name="'.$name.'" value="'.$row.'"/></td>
									</tr>';
								}
								$i++;
							}
						}
					echo '
						<tbody>
					</table><br />
					<input type="submit" name="submit" class="button" value="Αποστολή">
					</form>';
					if(isset($_POST['submit'])){
						$i=0;
						$count=0;
						$arr=array();
						if($_SESSION['ekdhlos_level']==0){
							foreach($groups_r as $row){
								$name="id".$i;
								if (isset($_POST[$name]) && $_POST[$name]==$row){
									$arr[$count]=$row;
									$count++;
								}
								$i++;
							}
						
						}
						else{
							foreach($groups_r as $row){
								$name="id".$i;
								if (isset($_POST[$name]) && $_POST[$name]==$row){
									$arr[$count]=$row;
									$count++;
								}
								$i++;
							}
						}
						if($count==0){
							echo '<br /><div id="msg_error" class="more_left_2">Πρέπει να επιλέξετε ομάδες!</div>';
						}
						else if($count>0){
							if(insert('message_by_groups',$_SESSION['message'],$_SESSION['notify'],$_SESSION['ring'],$_SESSION['light'],$arr,$_SESSION['date'])){
								echo '<br /><div id="msg_ok" class="more_left_2">Η αποστολή έγινε με επιτυχία!</div>'; 
								unset($_SESSION['message']);
								unset($_SESSION['ring']);
								unset($_SESSION['light']);
								unset($_SESSION['date']);
								echo "<script>setTimeout('window.location.href=\"insert_messages.php\"', 3000)</script>";
							}
							else echo '<div id="msg_error" class="more_left_2">Σφάλμα κατά την αποστολή!</div>';
						}
					}
				}
				else{
					echo '<br /><div id="msg_error" class="more_left_2">Πρώτα πρέπει να εισάγετε μήνυμα!</div>';
					echo "<script>setTimeout('window.location.href=\"insert_messages.php?choice=groups&step=1\"', 3000)</script>"; 
				}
				
		echo'</div>';
			}
			else echo "<script>setTimeout('window.location.href=\"insert_messages.php?choice=groups&step=1\"', 0000)</script>";	
		}
		else{
		echo '
		<br />
		<br />
			<ul id="tabs">
				<li><span>Στείλτε μήνυμα σε</span></li>
				<li id="current"><span>Εισαγωγή νέου μηνύματος</span></li>
				<li><span>Επιλογή συσκευών ή ομάδων</span></li>
			</ul>
			<div id="content"><br /><div id="msg_error" class="more_left_2">Δεν υπάρχουν συσκευές στις ομάδες!</div><br /><br /></div>';
			echo "<script>setTimeout('window.location.href=\"edit_devices.php\"', 3000)</script>";
		}
	}
	else{
		echo '
		<br />
		<br />
			<ul id="tabs">
				<li><span>Στείλτε μήνυμα σε</span></li>
				<li id="current"><span>Εισαγωγή νέου μηνύματος</span></li>
				<li><span>Επιλογή συσκευών ή ομάδων</span></li>
			</ul>
			<div id="content"><br /><div id="msg_error" class="more_left_2">Πρώτα πρέπει να εισάγετε ομάδες!</div><br /><br /></div>';
		echo "<script>setTimeout('window.location.href=\"insert_messages.php\"', 3000)</script>"; 
	}
}
/* επιλογή τρόπου αποστολής */
else{
	echo'
	<br />
	<br />
		<ul id="tabs">
			<li id="current"><span>Στείλτε μήνυμα σε</span></li>
			<li><span>Εισαγωγή νέου μηνύματος</span></li>
			<li><span>Επιλογή συσκευών ή ομάδων</span></li>
		</ul>
<div id="content">
	<h1 class="more_left_2">Επιλέξτε να στείλετε μήνυμα σε:</h1><hr />
	<br /><br /><br />
	<div id="choose">
		<a href="insert_messages.php?choice=groups&amp;step=1" class="more_left_2 button choice">Ομάδες</a>
		<a href="insert_messages.php?choice=devices&amp;step=1" class="more_left_3 button choice">Συσκευές</a>
	</div>
	<br /><br /><br /><br />
	<hr />
</div>';
}
html_footer();
?>